package ejemplo01;

import com.fpmislata.persistencia.hibernate.util.HibernateUtil;
import ejemplo01.dominio.Profesor;
import org.hibernate.Session;

public class Main {

    public static void main(String[] args) {
        HibernateUtil.buildSessionFactory();
        
        try {
            HibernateUtil.openSessionAndAttachToThread();

            Session session=HibernateUtil.getSessionFactory().getCurrentSession();
            Profesor profesor=(Profesor)session.get(Profesor.class,1001);
            System.out.println(profesor.toString());
        } finally {
            if (HibernateUtil.isSessionAttachToThread()) {
                HibernateUtil.closeSessionAndDeattachFromThread();
            }
        }
        
        HibernateUtil.closeSessionFactory();
    }
}
