package ejemplo02;

import com.fpmislata.persistencia.dao.BussinessException;
import com.fpmislata.persistencia.dao.BussinessMessage;
import com.fpmislata.persistencia.hibernate.util.HibernateUtil;
import ejemplo02.dominio.Profesor;

public class Main {

    public static void main(String[] args) {
       
        HibernateUtil.buildSessionFactory();

        try {
            HibernateUtil.openSessionAndAttachToThread();

            ProfesorController profesorController=new ProfesorController();
            Profesor profesor=new Profesor(null,null,null);

            profesorController.guardar(profesor);
            
        } catch (BussinessException be) {
            System.out.println("No se ha podido guardar el profesor.Se han producido los siguientes errores:");
            for (BussinessMessage bussinessMessage : be.getBussinessMessages()) {
                System.out.println(bussinessMessage.toString());
            }
        } finally {
            if (HibernateUtil.isSessionAttachToThread()) {
                HibernateUtil.closeSessionAndDeattachFromThread();
            }
        }

        HibernateUtil.closeSessionFactory();
    }
}

